class A
	begin
		int f()
			begin
				return 111;
			end
		int g()
			begin
				return 222;
			end
	end
class B extends A
	begin
		int g()
			begin
				return 333;
			end
		int h()
			begin
				return 444;
			end
	end

B b;
^A a = b;
printf( "a.g() = %d\n", a.g() );
